Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#317 "which" for graphical su gives empty error

PeerGuardian_Linux
closed
freemind
None
5
2012-11-11
2012-03-30
MintyStark
No

I am getting four repeated errors when running pgl-gui
Failed executing command(s). The following output was given: "".

I am using Linux Mint 12 64bit

Here is my output when running pgl-gui from the terminal:
~ $ pgl-gui
** Debug: Graphical Sudo: ""
** Debug: virtual void ProcessT::run() Executing command "which kdesudo" () ...
** Debug: ""
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: Graphical Sudo: ""
** Debug: virtual void ProcessT::run() Executing command "which kdesudo" () ...
** Debug: ""
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: Connection to DBus was successful.
** Debug: virtual void ProcessT::run() Executing command "which gksudo" () ...
** Debug: virtual void ProcessT::run() Executing command "which gksudo" () ...
** Debug: "/usr/bin/gksudo"
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: "/usr/bin/gksudo"
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: virtual void ProcessT::run() Executing command "which kdesu" () ...
** Debug: virtual void ProcessT::run() Executing command "which kdesu" () ...
** Debug: ""
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: ""
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: virtual void ProcessT::run() Executing command "which gksu" () ...
** Debug: virtual void ProcessT::run() Executing command "which gksu" () ...
** Debug: "/usr/bin/gksu"
** Debug: "/usr/bin/gksu"
** Debug: virtual void ProcessT::run() Command execution finished.
** Debug: virtual void ProcessT::run() Command execution finished.

This usually does not affect pgld as everything seems to still be working, but it is very annoying.
/var/log/pgl/pglcmd.log is fine
/var/log/pgl/pgld.log does occasionally have "ERROR: Cannot initialize D-Bus".

/var/log/pgl/pgld.log:
Mar 30 02:42:40 INFO: Connected to dbus system bus.
Mar 30 02:42:40 INFO: Started.
Mar 30 02:42:41 INFO: ASCII: 409385 entries loaded from "/var/lib/pgl/master_blocklist.p2p"
Mar 30 02:42:41 INFO: Blocking 409385 IP ranges (1720195254 IPs).
Mar 30 02:42:41 INFO: NFQUEUE: binding to queue 92
Mar 30 02:42:41 INFO: ACCEPT mark: 20
Mar 30 02:42:41 INFO: REJECT mark: 10
Mar 30 02:42:49 INFO: Closing logfile: /var/log/pgl/pgld.log
Mar 30 02:42:49 INFO: Reopened logfile: /var/log/pgl/pgld.log
Mar 30 02:42:49 WARN: pgld dbus is already initialized.

Mar 30 02:42:49 ERROR: Cannot initialize D-Bus

Any help would greatly be appreciated.

Discussion

  • jre-phoenix
    jre-phoenix
    2012-03-30

    I think your system doesn't have the command "which" installed, but we use that in pgl-gui. We'll fix that in pgl-gui.

    Please try to add to your ~/config/pgl/pgl-gui.conf
    [code]
    [paths]
    super_user=/usr/bin/gksu
    [/code]

    The other thing looks like a problem already known from non-working binaries from Ubuntu oneiric/precise, which cause pgld to crash on every reload (which happens e.g. after the automatic daily blocklist update). The pglcmd.wd fixes this after maximum 5 minutes. Check the mails that are sent to root (unless you configured something else), if you want to know if you are hit by this bug, you will see mails with a subject "pglcmd.wd restarted pgld" next to the daily "Results of pglcmd blocklist update".
    I have (at least a little) hope that the new build system (already in the git repository at sourceforge) fixes this.
    If not, we open a separate bug for this.

     
  • MintyStark
    MintyStark
    2012-03-30

    Sorry, but https://sourceforge.net/tracker/?func=detail&aid=3495654&group_id=131687&atid=721926
    only refers to a manual restart of pglcmd. Yes that does work, but I have to run that everytime. Is there another way to make it work automatically.

    Also I am having a hard time looking for the package "which". Do you know how I can get that installed?

    Thanks

     
  • jre-phoenix
    jre-phoenix
    2012-03-30

    I also mention the watchdog pglcmd.wd there. This runs every 5 minutes and solves the problem then. Note, this is a bug report, but the bug isn't solved yet!

    In Debian and Ubuntu "which" is part of the package "debianutils". If you can install this package, the problem will be solved for you.

    But even if we find ways to workaround this bug, it is still a bug in pgl-gui. Therefore I set "Resolution" to "Accepted" in order to tell us developers, that there is a real problem, which has to be dealt with.

     
  • MintyStark
    MintyStark
    2012-03-30

    Hmm, I already have debianutils installed.
    Checking now to see if I have the latest version.

    Sorry about the resolution.
    Thanks

     
  • jre-phoenix
    jre-phoenix
    2012-03-30

    NP.

    Just type "which" in a terminal.
    If it is installed, you will get no output.
    If it is not installed, you will get "which: command not found"

    Still, you should try this:
    Please try to add to your ~/config/pgl/pgl-gui.conf

    [paths]
    super_user=/usr/bin/gksu

     
  • MintyStark
    MintyStark
    2012-03-30

    Ok, I was at debianutils 4.0.2 then upgraded to 4.3.
    Still no difference.

    I even did a apt-get --purge remove pgld pglcmd pgl-gui
    Then reinstalled. Still have the same issue.

    Then I saw your post.
    I did check "which" and it was installed
    I then added the path to my config:

    [paths]
    super_user=/usr/bin/gksu

    to my ~/.config/pgl/pgl-gui.conf

    THAT WORKED!

    thanks, I did see that in some other posts, but was unsure about changing config files.
    This was important to me as I like to run pgl-gui at autostart. I really like seeing the blue indicator to ensure me that it is running.

    As a side note it would be nice to have the indicator auto start with out the window opening.

    Thanks again.

     
  • jre-phoenix
    jre-phoenix
    2012-06-09

    Can you test with the code from git repository if
    super_user=/usr/bin/gksudo
    works again for you?